Subject: Add how to create a runit service in step 5 of binary installation manual

From: Foxmean <[email-masked]>
Date: Fri, 04 Oct 2019 15:38:10 +0000

I would like to add a patch in https://guix.gnu.org/manual/en/html_node/Binary-Installation.html#Binary-Installation
-> step 5 Run the daemon, and set it to automatically start on boot.

If your host distro uses the Runit system:

<code>
# mkdir /etc/sv/guix-daemon
</code>

Then create file /etc/sv/guix-daemon/run with your favorite text editor e.g. emacs.

<code>
# emacs /etc/sv/guix-daemon/run
</code>

And add this two line of code in the file.

<code>
#!/bin/sh
exec /var/guix/profiles/per-user/root/current-guix/bin/guix-daemon --build-users-group=guixbuild
</code>

Now, you can enable and start guix-daemon service with:

<code>
# ln -s /etc/sv/guix-daemon /var/service/ && sv up guix-daemon
</code>

I would like to add it in etc and the manual at doc/guix.texi updated.
How can I contribute?

Sent with [ProtonMail](https://protonmail.com) Secure Email.